import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
	.domain(['apple','lemon'])
	.range(['#8c0601', '#97a832']);

const radiusScale = scaleOrdinal()
	.domain(['apples','lemon'])
	.range([50,30]);


export const fruitBowl = (selection, props) => {
 	const { fruits, height } = props;
  const circles = selection.selectAll('circle')
  	.data(fruits);
  circles
  	.enter().append('circle')
  		.attr('cx', (d,i) => i * 120 + 60)
  		.attr('cy', height / 2)
  		.attr('r',0)
  	.merge(circles)
  		.attr('fill', d=> colorScale(d.type))
  	.transition().duration(1000)
  		.attr('r', d => radiusScale(d.type));
   
  const text = selection.selectAll('text')
  	.data(fruits);
  text
  	.enter().append('text')
  		.attr('x', (d,i) => i * 120 + 60)
  		.attr('y', height / 2 + 100)
  	.merge(text)
  		.text(d=> d.type);
  
  circles.exit()
  	.transition().duration(1000)
  		.attr('r', 0)
    .remove();
  
  text.exit()
  	.transition().duration(400)
  		.attr('r', 0)
    .remove();
}